<?php

declare(strict_types=1);
use JTL\Shop;

require __DIR__.'/../../src/warmup.php';

if ( ! $L->canRun()) {
  return;
}

$P->getPDO()->prepare('UPDATE tland SET nEU = 0 WHERE cISO = "GB"')->execute();

if (1 !== Shop::getPageType()) {
  return;
}
$stmt = $P
  ->getPDO()
  ->prepare('SELECT * from tland WHERE cISO = :clieferlandiso');
$stmt->execute([':clieferlandiso' => $_SESSION['cLieferlandISO']]);
$lieferlandInfo = $stmt->fetch();

$lieferLandName = 'ger' === $_SESSION['cISOSprache'] ? $lieferlandInfo->cDeutsch : $lieferlandInfo->cEnglisch;
pq(pq('.vat_info, .tax_label')->elements[0])->prepend("{$lang['if_delivered_to']} {$lieferLandName}<br>");
pq(pq('.vat_info, .tax_label')->elements[0])->append("<br><a href=\"#\" class=\"change_delivery_target_country\" data-endpoint=\"{$P->getJTlPlugin()->getPaths()->getFrontendURL()}endpoint.php\">{$lang['change_delivery_target_country']}</a>");
pq('body')->append("<script src=\"{$P->getJTlPlugin()->getPaths()->getFrontendURL()}js/set_delivery_target_country.js\">");
pq('body')->append("<link rel=\"stylesheet\" href=\"{$P->getJTlPlugin()->getPaths()->getFrontendURL()}css/set_delivery_target_country.css\"");
